<?php
include("include/data.php");
Init_boutique();
global $base, $MySQL_Host, $MySQL_User, $MySQL_Passw, $myart, $A_NumArt,$i, $result, $NbLigne, 
$mygroupeart, $mysousgroupeart, $semaine, $limitesuivante, $limiteprecedente, $limite, $total, 
$page, $Nom_Client, $NumAbat, $res, $res2 ;
// entete de la page
include 'menu/header.php';

/*
modif_decoupe_check.php?
date_decoupe_d=15
date_decoupe_m=07
date_decoupe_y=2017
num_nat_decoupe=3
num_entre=43
num_ligne_lot_decoupe=
Num_CatPlu=1
num_client_decoupe=11
semaine_decoupe=28
num_lot_decoupe=K28051317
tracabilite_decoupe=191CA191D195T
num_ligne_lot_dispo=82
num_entre=43
cloture=0
poid_decoupe=53.00
observations=hache
*/
$date = date("d-m-Y");

//menu haut new-supp-modif

echo "<center><br>";


if (!isset($_GET['num_entre'])) {
    $Num_entre=($_POST['num_entre']);
		$Num_entre.=" Post";
	
			$date_decoupe_y = $_POST['date_decoupe_y'];
			$date_decoupe_m = $_POST['date_decoupe_m'];
			$date_decoupe_d = $_POST['date_decoupe_d'];

			$num_ligne_lot_decoupe= $_POST['num_ligne_lot_decoupe'];
			$num_ligne=htmlentities($_POST['num_entre']);
			$poid_decoupe=htmlentities($_POST['poid_decoupe']);
			$Num_CatPlu=htmlentities($_POST['Num_CatPlu']);
			$num_client_decoupe=htmlentities($_POST['num_client_decoupe']);
			$semaine_decoupe=htmlentities($_POST['semaine_decoupe']);
			$num_nat_decoupe=htmlentities($_POST['num_nat_decoupe']);
			$tracabilite_decoupe=htmlentities($_POST['tracabilite_decoupe']);
			$cloture=htmlentities($_POST['cloture']);
			$observations=htmlentities($_POST['observations']);
			$num_ligne_lot_dispo=htmlentities($_POST['num_ligne_lot_dispo']);	
			$num_lot_decoupe=htmlentities($_POST['num_lot_decoupe']);	
	
} else {
    	$Num_entre=($_GET['num_entre']);
			$Num_entre.=" Get";
			
			$date_decoupe_y = $_GET['date_decoupe_y'];
			$date_decoupe_m = $_GET['date_decoupe_m'];
			$date_decoupe_d = $_GET['date_decoupe_d'];

			$num_ligne_lot_decoupe= $_GET['num_ligne_lot_decoupe'];
			$num_ligne=htmlentities($_GET['num_entre']);
			$poid_decoupe=htmlentities($_GET['poid_decoupe']);
			$Num_CatPlu=htmlentities($_GET['Num_CatPlu']);
			$num_client_decoupe=htmlentities($_GET['num_client_decoupe']);
			$semaine_decoupe=htmlentities($_GET['semaine_decoupe']);
			$num_nat_decoupe=htmlentities($_GET['num_nat_decoupe']);
			$tracabilite_decoupe=htmlentities($_GET['tracabilite_decoupe']);
			$cloture=htmlentities($_GET['cloture']);
			$observations=htmlentities($_GET['observations']);
			$num_ligne_lot_dispo=htmlentities($_GET['num_ligne_lot_dispo']);
			$num_lot_decoupe=htmlentities($_GET['num_lot_decoupe']);	
			
			}

echo "<br>Num Entre : ".$Num_entre."<br>" ;

$date_decoupe_sql=date("Y-m-d", mktime(0,0,0,$date_decoupe_m,$date_decoupe_d,$date_decoupe_y));

$date_decoupe=date("d/m/y", mktime(0,0,0,$date_decoupe_m,$date_decoupe_d,$date_decoupe_y));

$myart = new lot_dispo ;
$select = "select * FROM lot_dispo WHERE num_ligne_lot_dispo = $num_ligne_lot_decoupe";
$result = $result = mysqli_query($link, $select);
$myart->getnum($result);
while ($myart->z < $myart->num) {
  $myart->readrow($result);
  $num_lot_decoupe=$myart->num_lot_dispo ;
}

Echo "<center><font color='red'>Enregistrement</font></center>";

echo "<br>";
echo "num_ligne : ".$num_ligne." <br>";
echo "Date decoupe : ".$date_decoupe." date sql : ".$date_decoupe_sql." /y= ".$date_decoupe_y."  /m= ".$date_decoupe_m." /d= ".$date_decoupe_d."<br>";
echo "Num semaine : ".$semaine_decoupe." <br>";
echo "Num client : ".$num_client_decoupe." <br>";
echo "Num_Categorie PLu: ".$Num_CatPlu." <br>";
echo "Num_type decoupe : ".$num_nat_decoupe." <br>";
echo "Num Lot : ".$num_lot_decoupe." <br>";
echo "Num Lot tace : ".$tracabilite_decoupe." <br>";
echo "Poids Froid : ".$poid_decoupe." <br>";
echo "Observations : ".$observations." <br>";
echo "clos ? : ".$cloture." <br>";
echo "num ligne lot decoupe $num_ligne_lot_decoupe <br>" ;

$sql = "UPDATE decoupe SET 
`date_decoupe` = '$date_decoupe_sql', 
`semaine_decoupe` = '$semaine_decoupe', 
`num_client` = '$num_client_decoupe', 
`num_lot_decoupe` = '$num_lot_decoupe', 
`tracabilite_decoupe` = '$tracabilite_decoupe', 
`categorie_decoupe` = '$num_nat_decoupe', 
`categorie_plu` = '$Num_CatPlu', 
`poid_decoupe` = '$poid_decoupe', 
`cloture` = '$cloture', 
`observations` = '$observations' 
WHERE `num_decoupe` = '$num_ligne'";

echo "requet : ".$sql." <br>";

$res = mysqli_query($link, $sql);

echo "resultat requet : ".$res." <br>";

$sql = "UPDATE lot SET 
`date_lot_decoupe` = '$date_decoupe_sql', 
`num_lot_decoupe` = '$num_lot_decoupe', 
`num_lot_tace_decoupe` = '$tracabilite_decoupe', 
`num_cate_decoupe` = '$num_nat_decoupe', 
`poid_decoupe` = '$poid_decoupe', 
`etat_decoupe` = '0', 
`solde_decoupe` = '$cloture',
`observations` = '$observations' 
WHERE `num_ligne_detail` = '$num_ligne'";

echo "requet : ".$sql." <br>";

//$res = mysqli_query($link, $sql);

echo "resultat requet : ".$res." <br>";

/*
$sql = "UPDATE lot SET 
`date_lot_decoupe` = '$date_decoupe_sql', 
`num_lot_decoupe` = '$num_lot_decoupe', 
`num_lot_tace_decoupe` = '$tracabilite_decoupe', 
`num_cate_decoupe` = '0', 
`poid_decoupe` = '$poid_decoupe', 
`etat_decoupe` = '1', 
`solde_decoupe` = '$cloture',
`observations` = '$observations' 
WHERE `num_ligne_detail` = '$num_ligne_lot_decoupe'";

echo "requet : ".$sql." <br>";

$res1 = mysqli_query($link, $sql);

echo "resultat requet : ".$res1." <br>";
*/

$sql = "UPDATE lot_dispo SET 
`num_lot_dispo` = '$num_lot_decoupe',
`num_lot_dispo_trac` = '$tracabilite_decoupe',
`solde` = '$cloture' WHERE `num_ligne_lot_dispo` = '$num_ligne_lot_decoupe'";

echo "requet : ".$sql." <br>";

$res2 = mysqli_query($link, $sql);

echo "resultat requet : ".$res2." <br>";



//Header("Location: decoupe.php?limite=0");
?>